#
# spec file for package python-openstackdocstheme
#
# Copyright (c) 2021 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-openstackdocstheme
Version:        2.0.2
Release:        7.3.2
Summary:        OpenStack Docs Theme
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://launchpad.net/%{sname}
Source0:        https://files.pythonhosted.org/packages/source/o/openstackdocstheme/openstackdocstheme-2.0.2.tar.gz
BuildRequires:  openstack-macros
BuildRequires:  python3-Sphinx
BuildRequires:  python3-dulwich >= 0.15.0
BuildRequires:  python3-pbr >= 2.0.0
BuildRequires:  python3-setuptools
BuildArch:      noarch

%description
Theme and extension support for Sphinx documentation that is published
to docs.openstack.org. Intended for use by OpenStack projects.

%package -n python3-openstackdocstheme
Summary:        OpenStack Docs Theme
Requires:       python3-Sphinx
Requires:       python3-dulwich >= 0.15.0

%description -n python3-openstackdocstheme
Theme and extension support for Sphinx documentation that is published
to docs.openstack.org. Intended for use by OpenStack projects.

%prep
%autosetup -p1 -n openstackdocstheme-2.0.2

# we dont need hacking
sed -i '/^hacking.*/d' test-requirements.txt
%py_req_cleanup

%build
%py3_build

%install
%py3_install

%check
python3 setup.py test

%files -n python3-openstackdocstheme
%license LICENSE
%doc README.rst
%{_bindir}/docstheme-build-pdf
%{_bindir}/docstheme-build-translated.sh
%{_bindir}/docstheme-lang-display-name.py
%exclude %{_sysconfdir}/alternatives/*.pyc
%exclude %{_sysconfdir}/alternatives/*.pyo
%{python3_sitelib}/openstackdocstheme
%{python3_sitelib}/openstackdocstheme-*-py?.?.egg-info

%changelog
* Tue Dec 14 2021 cloud-devel@suse.de
- removed 0001-Fix-typo-in-logger.warning-call.patch
- update to version 2.0.2 (bsc#1191205):
  * [ussuri][goal] Drop python 2.7 support and testing
* Fri Feb 23 2018 cloud-devel@suse.de
- update to version 1.18.1
  - Attempt to guess valid Git URLs
  - trivial: Remove use of 'Application.{warn,info}'
  - Remove -U from pip install
  - Adds -p option in mkdir for buildpdf tox env
  - Fix giturl parsing
  - No red with double backticks markup
  - Remove setting of version/release from releasenotes
  - Revert "Fix the incorrect git source url"
  - Add zuulv3 native job
  - Adds Turkish landing page to sidebartoc_menu
  - bindep: Add dependencies for PDFs on Fedora
  - gitignore: Ignore more files
  - Avoid tox_install.sh for constraints support
  - Do not print the release if empty
  - Fix the incorrect git source url
  - Updated from global requirements
  - Replace the http links with the right ones in docs
- Switch to stable/queens spec template
- Add 0001-Fix-typo-in-logger.warning-call.patch
* Tue Nov 21 2017 cloud-devel@suse.de
- update to version 1.17.0
  - Documents how to set conf.py for PDF generation
  - Remove navigation.html
  - Fix link to openstackdays
  - Update links in README
  - Update the configuration of generating a PDF document
  - Break cycle dependency with reno
  - Cleanup setup.cfg
  - Sync language list with openstack-manuals repo
  - Add support for sphinx sidebar role
  - [www] Fix link to COA
  - Bring back local search
  - Break cycle dependency with os-api-ref
  - Remove stray characters from demo
  - Link to latest version
  - Updated from global requirements
  - show release series names not version tags
- drop 0001-Break-cycle-dependency-with-reno.patch,
  0001-Break-cycle-dependency-with-os-api-ref.patch: upstream
* Wed Aug  9 2017 tbechtold@suse.com
- add 0001-Break-cycle-dependency-with-reno.patch
* Mon Aug  7 2017 cloud-devel@suse.de
- update to version 1.16.1
  - Fix sorting of git versions
  - Standardise header styling
  - PDF support for sample document with font
  - Enable some off-by-default checks
  - Cleanup conf.py
  - automate some of the extension setup
  - Update 2 documentation URLs according to doc migration
  - CSS: Add margin-left to <dd>
  - Fix Added / Changed / Deprecated notices
  - README: Update configuration of openstackdocstheme
  - Add note in README about Python 3 changes
  - Require bug_project setting
  - Update hacking to current version
  - Add alignment styling for figures and images
  - Change name of checkbuild testenv to buildpdf for clarity
  - Fix search.html page script errors
  - Fix missing role_id
  - Allow using openstackdocstheme without git installed
  - Updates "Contents" to "Project home page" to better match existing
  - Update css markups for newer Sphinx
  - Do not display title string of page local TOC
  - Fix links in drop-down menu under Join; add https
  - move the localtoc for the page into the sidebar
  - remove smooth scrolling
  - Add spaces in demo for deprecation notices
  - Declare parallel reading safe
  - add a comment to all output HTML pages showing the input file
  - show the current project name and version in navigation link
  - Update bootstrap and jquery files
  - Strip tags from navigation prev, next titles
  - Serve minified CSS
  - Add tox env for PDF building
  - move documentation from readme to sphinx tree
  - Adding octavia api-ref
  - Increase admonition.important contrast
  - Add warning-is-error
  - Clarify search title
  - Working on integrating options from oslosphinx theme
  - Update Site Search
  - Use new OpenStack logo and header
  - Adjust 'docs-toc a' display value
  - Use https instead of http for git.openstack.org
  - Remove duplicate search field from the left sidebar
  - Update Launchpad info
  - Adds list of versions in the "Updated" bar
  - Adds docs for release versions dropdown menu
  - Update docs
  - Remove rules linked to a "Status" ID
  - Remove getJSON function and doc-characters file
  - Minimal support for storyboard
  - switch release notes build to use openstackdocs instead of oslosphinx
  - Add note for show_other_versions
  - PDF build support >= Sphinx 1.6.1
  - fix alignment of toc tree items in sidebar
  - Adds LaTeX style file for building PDF documents
  - Fix a logic issue in the JS
  - Move from 3rd party fonts to native font stack
  - Updated from global requirements
  - Add support for versionadded and deprecated
- Add 0001-Break-cycle-dependency-with-os-api-ref.patch
* Fri Feb 10 2017 cloud-devel@suse.de
- update to version 1.6.1:
  - Add trove classifiers for Python
  - Allow to build docs without git command
  - Update test API Ref
  - Add Constraints support
  - Fix tox setup
  - Includes checklist when filing a bug for osmanuals
  - Show team and repo badges on README
  - Enable release notes translation
  - Install required packages
  - Fix typo: remove redundant 'the'
  - Updated from global requirements
  - Removed minimized files
  - Update requirements
  - [www] update page header links
* Thu Oct  6 2016 tbechtold@suse.com
- Update _service
* Wed Sep  7 2016 tbechtold@suse.com
- update to version 1.5.0
  * API References dropdown menu
  * Allow automatic toc to be disabled
* Wed Aug 10 2016 tbechtold@suse.com
- update to version 1.4.0
  * Use HTTPS for external deps
  * Increase indent level of doc top contents
  * Create empty folder for custom font files
  * Change summit video URL
  * Actually include custom JS files
  * Broken Link
  * Allow the bug title to be customisable
  * Fix text font-family of admonitions.
  * Update the Administrator Guide link
  * Add appropriate order list styles
  * Make ``something`` more highlighted
  * Allow for inclusion of custom JS files
  * Release note for new sidebar feature
  * Clarify uses for this theme
  * Update Release Notes
  * Updated from global requirements
  * Set side bar content to be configurable
  * Adds release notes items for next release
  * Allow cssfiles added by sphinx extensions
* Fri Jul 22 2016 tbechtold@suse.com
- Initial packaging (version 1.3.0)
